stages:
  - create
  - print

create_artifacts:
    image: alpine
    stage: create
    before_script:
        - apk update
        - apk upgrade
        - apk add --update --no-cache python3 py3-pip && ln -sf python3 /usr/bin/python
    script:
        - python create_file.py
    artifacts:
        paths:
            - artifact.txt


print_artifacts:
    image: alpine
    stage: print
    before_script:
        - apk update
        - apk upgrade
        - apk add --update --no-cache python3 py3-pip && ln -sf python3 /usr/bin/python
    script:
        - python print_artifacts.py

